Bug 137281 - OpenOffice crashes due to "lack of memory" (not true)
OpenOffice crashes due to "lack of memory" (not true)
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
: 135517 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-10-27 03:47 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.1.2-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-11 05:59:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
stack (4.49 KB, text/plain)
2004-10-27 03:47 EDT, Need Real Name
no flags Details
*bugbuddy* backtrace (13.82 KB, text/plain)
2004-10-28 09:46 EDT, Need Real Name
no flags Details
patch to fix (714 bytes, patch)
2004-11-01 06:18 EST, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Need Real Name 2004-10-27 03:47:26 EDT
Build Identifier: 

Open Office quits with the error:
Main memory shortage. Please quit other applications or close some windows
before continuing. [OK]
An unrecoverable error has occurred. All modified files have been saved and can
probably be recovered at next program restart.[OK] x 2

Reproducible: Always
Steps to Reproduce:
1. Open xls spreadsheet using ooffice sheet.xls
2. Close it using File> Close
3. Open it again using File> 1 (recent items list)
4. Error

Top shows:
Mem:    515792k total,   513700k used,     2092k free,    64056k buffers
Swap:  1048312k total,      344k used,  1047968k free,   227452k cached
19728 user      24   0  156m  67m 100m R 40.8 13.4   0:52.91 soffice.bin

Stack attached.
Comment 1 Need Real Name 2004-10-27 03:47:55 EDT
Created attachment 105827 [details]
Comment 2 Need Real Name 2004-10-28 08:25:11 EDT
Reported upstream:
Comment 3 Need Real Name 2004-10-28 09:46:00 EDT
Created attachment 105895 [details]
*bugbuddy* backtrace

Seems like oo.org relies on bug-buddy being installed.
Installing it, gives the following error on crash:

Application Error/usr/share/bug-buddy/gdb-cmd:2: Error in sourced command file:

Previous frame inner to this frame (corrupt stack?)

*bugbuddy* backtrace attached
Comment 4 Need Real Name 2004-10-28 10:45:33 EDT
OO.org cannot replicate this crash on 1.1.3
Either this is a RH build bug, or a 1.1.2 bug.
Comment 5 Need Real Name 2004-10-29 03:53:22 EDT
Doesn't crash on RH9 either.

Installing the official build of OOo.org (latest -v1.1.3) on FC3t3 doesn't help.
Instead of a crash, I get a hang.

A ps ax shows:

14385 pts/1    Sl+    0:05 /home/box/OpenOffice.org1.1.3/program/soffice.bin
14403 pts/1    S+     0:00 /home/box/OpenOffice.org1.1.3/program/getstyle-gnome
--vcl-system-settings-window 50331649

# strace -p 14385
Process 14385 attached - interrupt to quit
select(7, [6], NULL, NULL, NULL

# strace -p 14403
Process 14403 attached - interrupt to quit
ioctl(3, FIONREAD, [0])                 = 0
Comment 6 Need Real Name 2004-10-29 04:40:54 EDT
Update: OOo 1.1.3 now works.

1.1.2 is the culprit.
Comment 7 Caolan McNamara 2004-11-01 06:18:06 EST
Created attachment 106008 [details]
patch to fix

caolanm->dcbw: the source .xls does not have a SummaryInformation Stream, sfx2
goes looking for it, but the test to see if its not there fails and so fx2
thinks it has one and allocs mem based on junk contents. Its pure luck that it
crashes the second time depending on the random contents of memory and not the
first, and probably pure luck that it's not blowing up for everyone else. The
attached patch fixes.
Comment 8 Need Real Name 2004-11-01 09:02:14 EST
Excellent! :)
Comment 9 Dan Williams 2004-11-01 09:37:02 EST
Caolan, this fix doesn't appear to be upstream.  Can you shepherd that
through?  It should be able to go into the "obvious fix" CWS I would

Comment 10 Dan Williams 2004-11-01 09:37:52 EST
Hmm, even if 1.1.3 works, it probably covers up the issue rather than
fixing it at the source.
Comment 11 Caolan McNamara 2004-11-01 09:48:37 EST
OOo upstream is http://qa.openoffice.org/issues/show_bug.cgi?id=36280
Comment 12 Dan Williams 2004-11-01 15:55:43 EST
should be in 1.1.2-11
Comment 13 Caolan McNamara 2004-11-02 13:39:32 EST
*** Bug 135517 has been marked as a duplicate of this bug. ***
Comment 14 Caolan McNamara 2004-11-11 05:59:53 EST
working in 1.1.2-11

Note You need to log in before you can comment on or make changes to this bug.